# Ogre::map< K, V, P, A > Struct Template Reference

`#include <OgrePrerequisites.h>`

List of all members.

## Public Types

typedef std::map< K, V, P, A > | type

## Detailed Description

### template<typename K, typename V, typename P = std::less<K>, typename A = STLAllocator<std::pair<const K, V>, GeneralAllocPolicy>>
struct Ogre::map< K, V, P, A >

Definition at line 497 of file OgrePrerequisites.h.

## Member Typedef Documentation

template<typename K, typename V, typename P = std::less<K>, typename A = STLAllocator<std::pair<const K, V>, GeneralAllocPolicy>>

typedef std::map<K, V, P, A> Ogre::map< K, V, P, A >::type

Definition at line 500 of file OgrePrerequisites.h.

The documentation for this struct was generated from the following file:

- OgrePrerequisites.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:15